#ifndef __CONFIG_SERVER_H__
#define __CONFIG_SERVER_H__

#include <glib.h>

int debug; //Flag for displaying debug information

G_BEGIN_DECLS

GType speech_server_get_type();
#define SPEECH_SERVER_TYPE (speech_server_get_type())

typedef struct _SpeechServer 
{
	GObject object;
} SpeechServer;

typedef struct _SpeechServerClass 
{
	GObjectClass object_class;
} SpeechServerClass;

//Used for reading/writing configuration file
struct SpeechServerParameters
{
	gint rate;
	gint volume;
	gint pitch;
	gint range;
	gint punctuation;
	gint capitals;
    
	guchar gender;
	guchar age;
	guchar variant;
	
	gchar name[15];
	gchar languages[15];
	gchar identifier[15];
	
	
	
};



typedef struct SpeechServerParameters SpeechServerParameters;
typedef struct SpeechSavedParameters SpeechSavedParameters;

G_END_DECLS

#endif
